# LightHub: dmx.cpp File Reference

dmx.cpp File Reference
`#include "dmx.h"`
`#include "options.h"`
`#include "item.h"`
Include dependency graph for dmx.cpp:

## Functions

int | itemCtrl2 (char *name, int r, int g, int b, int w)
void | DMXImmediateUpdate (short tch, short r, short g, short b, short w)
void | DMXSemiImmediateUpdate (short tch, short trh, int val)
void | DMXput (void)
void | DMXUpdate (void)
void | DMXCheck (void)
void | onDmxFrame (uint16_t universe, uint16_t length, uint8_t sequence, uint8_t *data, IPAddress remoteIP)
void | DMXinSetup (int channels)
void | DMXoutSetup (int channels)
void | DMXOUT_propagate ()
void | ArtnetSetup ()
void | DmxWriteBuf (uint16_t chan, uint8_t val)

## Variables

uint8_t * | DMXin = NULL
int | D_State =0
unsigned long | D_checkT =0
aJsonObject * | items
aJsonObject * | dmxArr

## Function Documentation

## ArtnetSetup()

void ArtnetSetup | ( |  | ) |

## DMXCheck()

void DMXCheck | ( | void |  | ) |

## DMXImmediateUpdate()

void DMXImmediateUpdate | ( | short | tch,
|  | short | r,
|  | short | g,
|  | short | b,
|  | short | w
| ) |  |

## DMXinSetup()

void DMXinSetup | ( | int | channels | ) |

ToDo: re-init

## DMXOUT_propagate()

void DMXOUT_propagate | ( |  | ) |

## DMXoutSetup()

void DMXoutSetup | ( | int | channels | ) |

## DMXput()

void DMXput | ( | void |  | ) |

## DMXSemiImmediateUpdate()

void DMXSemiImmediateUpdate | ( | short | tch,
|  | short | trh,
|  | int | val
| ) |  |

## DMXUpdate()

void DMXUpdate | ( | void |  | ) |

## DmxWriteBuf()

void DmxWriteBuf | ( | uint16_t | chan,
|  | uint8_t | val
| ) |  |

## itemCtrl2()

int itemCtrl2 | ( | char * | name,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | w
| ) |  |

## onDmxFrame()

void onDmxFrame | ( | uint16_t | universe,
|  | uint16_t | length,
|  | uint8_t | sequence,
|  | uint8_t * | data,
|  | IPAddress | remoteIP
| ) |  |

## Variable Documentation

## D_checkT

unsigned long D_checkT =0

## D_State

int D_State =0

## dmxArr

aJsonObject* dmxArr

extern

## DMXin

uint8_t* DMXin = NULL

## items

aJsonObject* items

extern